# 71. Mutācija: ģenerēt zip arhīvu ar "Piezīmēm"

Ģenerēt zip arhīvu ar “Piezīmēm”, kas saistītas ar izvēlēto “VectorAnalysisMap”, “SoilDataset” vai “Field” vienību.

{% hint style="info" %}
Arhīvs sastāv no \*.shp, \*.shx, \*.prj, \*.dbf failiem.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija ExportNotesData {
  exportData(input: {
    piezīmes: [
      { 
        uuid: "<placeholder_for_vectoranalysismap_uuid>", 
        fieldUuid: "<placeholder_for_field_uuid>", 
        vienība: VectorAnalysisMap 
      }    
    ]
  }) {
    archiveUrl
    zipoPiezimes {
      uuid
      fieldUuid
      status
    }
    ignorētāsPiezīmes {
      uuid
      fieldUuid
      status
    }
  }
}
```

{% endcode %}

Pēc izpildes GraphQL vaicājuma lietotājs var saņemt zip arhīvu no īpašuma “archiveUrl” un eksportēto saturu ar rindām “zipped” un “ignored”.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/71.-mutacija-generet-zip-arhivu-ar-piezimem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
